# installation directory

def _stripe_dirn(p, offset):
    if offset == 0:
        return p
    return _stripe_dirn(os.path.dirname(p), offset - 1)


# BASE_DIRECTORY = "/home/nmoreau/Developpement/git_obs/ism/web_extractor"
BASE_DIRECTORY = None

if not BASE_DIRECTORY:
    import os
    BASE_DIRECTORY = _stripe_dirn(os.path.realpath(__file__), 4)
    print("auto computed base directory: {}".format(BASE_DIRECTORY))

IDAT_DIRECTORY=_stripe_dirn(BASE_DIRECTORY, 2)
# not to be edited
BASE_URL = "/extractor"
CLIENT_DIRECTORY = "{}/src/client".format(BASE_DIRECTORY)
SERVER_DIRECTORY = "{}/src/server".format(BASE_DIRECTORY)
DATA_DIRECTORY = "{}/userdata/hdf5".format(IDAT_DIRECTORY)
OUTPUT_DIRECTORY = "{}/material/output".format(BASE_DIRECTORY)
TASKS_OUTPUT_DIRECTORY = "{}/tasks".format(SERVER_DIRECTORY)
QNAMES_FILE_DIRECTORY = "{}/material/dictionaries".format(BASE_DIRECTORY)
QNAMES_FILE_SUFFIX = "-syn-dictionary.txt"
QNAMES_BINARY_SUFFIX = "-conceptsdb.pickle"
YAML_TEMPLATE_NAME = "idat_plot_template.yaml"

JOBS_DB = "{}/jobs.db".format(SERVER_DIRECTORY)

# time in seconds for which the script will wait to check for new jobs
JOB_CHECK_INTERVAL = 1

# time in seconds before purging generated files and database 
# ( session, completed / failed jobs )
DATA_PRESERVATION_DURATION = 86400
SERVER_PORT = 5000
PAGE_OPENING_TEMPO = 2

# hdf file authorized extensions
ALLOWED_EXTENSIONS = set(['hdf5'])

# number of suggested results for quantities autocomplete
SUGGEST_RESULT_LIMIT = 10

# possible values are :  local, web
SERVER_MODE='local'
